import {
  __esm
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/terms-of-service/index.ts
function createTermsOfServiceResource(instanceId, client) {
  return {
    initiate({
      idempotency_key,
      receiver_id,
      redirect_url
    }) {
      return client.post(`/e/instances/${instanceId}/tos`, {
        idempotency_key,
        receiver_id,
        redirect_url
      });
    }
  };
}
var init_terms_of_service = __esm({
  "src/resources/terms-of-service/index.ts"() {
  }
});

export {
  createTermsOfServiceResource,
  init_terms_of_service
};
